package com.ruoyi.base.domain;

import java.util.List;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 播放方案对象 robot_ops_play_plan
 *
 * @author ruoyi
 * @date 2026-05-11
 */
public class RobotOpsPlayPlan extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键ID */
    private Long id;

    /** 播放方案名称 */
    @Excel(name = "播放方案名称")
    private String planName;

    /** 循环方式：loop循环播放，once播放一次 */
    @Excel(name = "循环方式：loop循环播放，once播放一次")
    private String loopMode;


    /** 素材数量 */
    @Excel(name = "素材数量")
    private Long assetCount;

    /** 启用状态：0备用/停用，1当前播放*/
    @Excel(name = "0备用/停用，1当前播放")
    private String status;

    /** 播放方案素材明细信息 */
    private List<RobotOpsPlayPlanItem> robotOpsPlayPlanItemList;

    public void setId(Long id)
    {
        this.id = id;
    }

    public Long getId()
    {
        return id;
    }

    public void setPlanName(String planName)
    {
        this.planName = planName;
    }

    public String getPlanName()
    {
        return planName;
    }

    public void setLoopMode(String loopMode)
    {
        this.loopMode = loopMode;
    }

    public String getLoopMode()
    {
        return loopMode;
    }



    public void setAssetCount(Long assetCount)
    {
        this.assetCount = assetCount;
    }

    public Long getAssetCount()
    {
        return assetCount;
    }

    public void setStatus(String status)
    {
        this.status = status;
    }

    public String getStatus()
    {
        return status;
    }

    public List<RobotOpsPlayPlanItem> getRobotOpsPlayPlanItemList()
    {
        return robotOpsPlayPlanItemList;
    }

    public void setRobotOpsPlayPlanItemList(List<RobotOpsPlayPlanItem> robotOpsPlayPlanItemList)
    {
        this.robotOpsPlayPlanItemList = robotOpsPlayPlanItemList;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("planName", getPlanName())
            .append("loopMode", getLoopMode())
            .append("assetCount", getAssetCount())
            .append("status", getStatus())
            .append("remark", getRemark())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("robotOpsPlayPlanItemList", getRobotOpsPlayPlanItemList())
            .toString();
    }
}
